package entity;

import java.io.File;
import java.util.*;

import javax.xml.bind.*;

import org.eclipse.persistence.Version;
import org.eclipse.persistence.jaxb.JAXBContextProperties;

public class Demo {

    public static void main(String[] args) throws Exception {
        System.out.println(Version.getVersion());
        
        Map<String, Object> properties = new HashMap<String, Object>(1);
        properties.put(JAXBContextProperties.OXM_METADATA_SOURCE, "entity/oxm.xml");
        JAXBContext jc = JAXBContext.newInstance(new Class[] {ProjectEO.class}, properties);
        
        Unmarshaller unmarshaller = jc.createUnmarshaller();
        File xml = new File("/home/rajan/projects/entity/input.xml");
        Project project = (Project) unmarshaller.unmarshal(xml);

        for(ProjectSetting setting : project.getProjectSettings()) {
            System.out.println(setting.getProject());
        }

        Marshaller marshaller = jc.createMarshaller();
        marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
        marshaller.marshal(project, System.out);
    }

}
